;+
; NAME:
;       MAKE_Y_QUALITY_TREE
;
; PURPOSE:
;       This procedure makes the quality node branches
;       in the Y data selector of the FISv.
;       This procedure is called by FISv.
;
; AUTHOR:
;       ASTRO-F Data Reduction team
;       Web Page: http://www.ir.isas.ac.jp/ASTRO-F/iris_data/
;
; CATEGORY:
;       FIS Data Visualizer
;
; CALLING SEQUENCE:
;       make_y_quality_tree, widgetID
;
; MODIFICATION HISTORY:
;        Written by: Makiuti,S.
;-
pro make_y_quality_tree, widgetID

  parentID = widgetID
  WHILE Widget_Info(parentID, /Parent) NE 0 DO BEGIN
     parentID = Widget_Info(parentID, /Parent)
  ENDWHILE

  Widget_Control, parentID, UPDATE=0

  Y_TREE_QUALITY = widget_info(parentID, find_by_uname='Y_TREE_QUALITY')

    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QCVP'  $
      ,VALUE='QUAL_CV_PARAM', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QRCP'  $
      ,VALUE='QUAL_RC_PARAM', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QRCC'  $
      ,VALUE='QUAL_RC_CF', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QDFE'  $
      ,VALUE='QUAL_DF_EQ', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QRPD'  $
      ,VALUE='QUAL_RP_DATA', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QRPP'  $
      ,VALUE='QUAL_RP_PARAM', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QRPT'  $
      ,VALUE='QUAL_RP_TABLE', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QFFP'  $
      ,VALUE='QUAL_FF_PARAM', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QFFC'  $
      ,VALUE='QUAL_FF_CF', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QGPC'  $
      ,VALUE='QUAL_GPGL_CORR', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QMTC'  $
      ,VALUE='QUAL_MTGL_CORR', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QTRH'  $
      ,VALUE='QUAL_TR_HIST', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QTRP'  $
      ,VALUE='QUAL_TR_PARAM', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QDKD'  $
      ,VALUE='QUAL_DK_DATA', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QDKP'  $
      ,VALUE='QUAL_DK_PARAM', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QDKT'  $
      ,VALUE='QUAL_DK_TABLE', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QFXC'  $
      ,VALUE='QUAL_FX_CORR', UVALUE='YQuality', /FOLDER)
    temp_id2 = Widget_Tree(Y_TREE_QUALITY, UNAME='Y_QUALITY_QFXP'  $
      ,VALUE='QUAL_FX_PARAM', UVALUE='YQuality', /FOLDER)

  Widget_Control, parentID, /UPDATE

end
