; $Id: make_y_status_tree.pro,v 1.5 2006/12/11 06:33:25 makiuti Exp $
;+
; NAME:
;       MAKE_Y_STATUS_TREE
;
; PURPOSE:
;       This procedure makes the status branches
;       in the Y data selector of the FISv.
;       This procedure is called by FISv.
;
; AUTHOR:
;       ASTRO-F Data Reduction team
;       Web Page: http://www.ir.isas.ac.jp/ASTRO-F/iris_data/
;
; CATEGORY:
;       FIS Data Visualizer
;
; CALLING SEQUENCE:
;       make_y_status_tree, widgetID
;
; MODIFICATION HISTORY:
;        Written by: Makiuti,S.
;        2006/12/11  Last modified
;-
pro make_y_status_tree, widgetID

  parentID = widgetID
  WHILE Widget_Info(parentID, /Parent) NE 0 DO BEGIN
     parentID = Widget_Info(parentID, /Parent)
  ENDWHILE

  Widget_Control, parentID, UPDATE=0

  Y_TREENODE_2 = widget_info(parentID, find_by_uname='Y_TREENODE_2')

  ; (2) Status
  Y_TREENODE_11 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_11'  $
      ,VALUE='CREOn', UVALUE='CREON')
  Y_TREENODE_12 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_12'  $
      ,VALUE='ShtOp', UVALUE='ShtOp')
  Y_TREENODE_13 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_13'  $
      ,VALUE='FWposOn', UVALUE='FWposOn')
  Y_TREE_FWpos_B1 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREE_FWpos_B1'  $
      ,VALUE='FWpos_B1', UVALUE='FWpos_B1')
  Y_TREE_FWpos_B0 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREE_FWpos_B0'  $
      ,VALUE='FWpos_B0', UVALUE='FWpos_B0')
  Y_TREENODE_14 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_14'  $
      ,VALUE='MposOn', UVALUE='MposOn')
  Y_TREE_Mpos_B1 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREE_Mpos_B1'  $
      ,VALUE='Mpos_B1', UVALUE='Mpos_B1')
  Y_TREE_Mpos_B0 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREE_Mpos_B0'  $
      ,VALUE='Mpos_B0', UVALUE='Mpos_B0')
  Y_TREENODE_15 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_15'  $
      ,VALUE='RstWideLOn', UVALUE='RstWideLOn')
  Y_TREENODE_16 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_16'  $
      ,VALUE='RstWideSOn', UVALUE='RstWideSOn')
  Y_TREENODE_17 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_17'  $
      ,VALUE='RstN170On', UVALUE='RstN170On')
  Y_TREENODE_18 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_18'  $
      ,VALUE='RstN60On', UVALUE='RstN60On')
  Y_TREENODE_19 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_19'  $
      ,VALUE='LWboostOn', UVALUE='LWboostOn')
  Y_TREENODE_20 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_20'  $
      ,VALUE='SWboostOn', UVALUE='SWboostOn')
  Y_TREENODE_21 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_21'  $
      ,VALUE='LWbiasOn', UVALUE='LWbiasOn')
  Y_TREENODE_22 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_22'  $
      ,VALUE='SWbiasOn', UVALUE='SWbiasOn')
  Y_TREENODE_23 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_23'  $
      ,VALUE='CalALOn', UVALUE='CalALOn')
  Y_TREENODE_24 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_24'  $
      ,VALUE='CalASOn', UVALUE='CalASOn')
  Y_TREENODE_25 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_25'  $
      ,VALUE='CalBOn', UVALUE='CalBOn')
  Y_TREENODE_26 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_26'  $
      ,VALUE='SinALOn', UVALUE='SinALOn')
  Y_TREENODE_27 = Widget_Tree(Y_TREENODE_2, UNAME='Y_TREENODE_27'  $
      ,VALUE='SinASOn', UVALUE='SinASOn')

  Widget_Control, parentID, /UPDATE

end
