; $Id: afif_get_ti.pro,v 1.2 2004/05/21 07:48:48 baba Exp $
;
; Copyright (c) 2003, ASTRO-F Data Reduction Team.  All rights reserved.
;
;+
; NAME:
;	afif_get_ti.pro
; PURPOSE:
;	
; CATEGORY:
;	Function. Libfary for the procedures in ASTRO-F pipeline.
; CALLING SEQUENCE:
;	Result = afif_get_ti(tsd,'key',value,outfile) 
; INPUTS:
;	tsd		TSD object reference.
; OUTPUTS:
;	data 		Array of the detector data.
; RETURN:
;	0 in success, -1 in failure.
; RESTRICTIONS:
;	
; PROCEDURE:
;		
; EXAMPLE:
;	
; REFERENCE:
;	
;
; MODIFICATION HISTORY:
; 	June. 2003		Written by A. Kawamura.
;-

FUNCTION afif_get_ti, tsd, tsd_key, tsd_value, out_ti
;ON_ERROR 2

;;; Check for position parameters ;;;
IF (N_PARAMS(0) EQ 0) THEN BEGIN
MESSAGE, 'Calling Sequence: result=afif_get_ti( $',/CONTINUE
PRINT, '                  tsd, tsd_key, tsd_value, out_ti)'
PRINT, '               tsd = Object reference type of TSD, read by WRITE_TSD or OBJ_NEW.'
PRINT, '               tsd_key = Keyword for values you are searching for, e.g. vdet'
PRINT, '               tsd_value = Values you are searching for'
PRINT, '               out_ti = Array or integer of ti
PRINT, '               0 on success, -1 for failure'
RETURN,!fail
ENDIF

;;; Extract values from TSD object reference ;;;
	key = tsd_key
	tsd_data = tsd->get_value_tsd('fis_obs',key)
	help, tsd_data
	si = SIZE(tsd_data)

;;; Check TI ;;;
   ind = WHERE (tsd_data EQ tsd_value, count)

   IF count EQ 0 THEN BEGIN
      MESSAGE,'No correspoding data',/CONTINUE
      RETURN, !FAIL
   ENDIF ELSE BEGIN 
      out_ti = ind
      RETURN, !SUCCEED
   ENDELSE

END


