;
;  supplies function for cal_fit3
;

Function cal3_respons, t, a
 at=exp(-t/a[1])
 bt= exp(-t/a[3])
 dt= exp(-t/a[5])
 f = a[0]* at + a[2]*(1.D -bt)+a[4]*dt+a[6]

 Return, [f, at, a[0]*at/a[1]^2, 1.D -bt, -a[2]*bt*t/a[3]^2, dt, a[4]*dt*t/a[5]^2, 1.D]
End


;
; performs curve fitting with the following function and returns y(t1)
; where t1 may be an array
;
;  ref. S.H.Oh et al. 2004
;
Function gb_cal_fit3, y, t, t1, YFIT=YFit, PARAMS=Params, TSTART=t0

;  initial guess for the coefficients
;
ndata = N_Elements(y)
  a = findgen(7)
   a[0] = y[0]*0.3
   a[2] = max(y[(ndata-1)/4:(ndata-1)*3/4])
   a[4] = 1.0*max(y[(ndata-1)/4:(ndata-1)*3/4])
   a[6] = y[0]-a[0]+a[4]*0.4
   a[1] = 30.
   a[3] = 100.
   a[5] = 2400.
;    a[0] = 1e-4
;    a[2] = 6e-4
;    a[4] = 1e-4
;    a[6] = 1e-4
;    a[1] = 30
;    a[3] = 100
;    a[5] = 2400

  fita = [1,0,1,1,1,0,1]

  if Keyword_Set(t0) then begin
      tm = t0
  endif else tm  = t[0]
  t_0 = t - tm

  c = lmfit(t_0, y, a, FITA=fita, FUNCTION_NAME='cal3_respons', CHISQ=chisq, $
                          /double, CONVERGENCE=convergence, ITMAX=300)

IF (convergence EQ -1) THEN print, '  Converge failed in a module, gb_cal_fit2.pro.'

  b = a[0]*exp(-(t1-tm)/a[1]) + a[2]*(1.D - exp(-(t1-tm)/a[3])) + a[4]*exp(-(t1-tm)/a[5]) + a[6]

  if arg_present(YFit) NE 0 then YFit=c ; For PV
  if arg_present(Params) NE 0 then Params=a ; For PV

; in the case of unsatisfactory fit due to, i.e., cosmic rays
;
; idx = where (abs(c-y) gt 4.D*chisq, cnt)

; if cnt gt 1 then begin
;   for i = 0, cnt-1 do begin
;     if idx(0) eq 0 then tmin=t[0] else tmin=t[idx(i)-1]
;     if idx(cnt-1) eq n_elements(t)-1 then tmax=max(t) else t[idx(i)+1]
;     idxp = where(ti gt tmin and ti lt tmax)
;     b[idxp] = interpol(y,t,ti[idxp])
;   endfor
; endif

Return, b

End

