FUNCTION GB_MK_TSDARR, filename_for_search
;
; 1. Search files using a given pattern for files to match
;    in the current directory.
;    (The files must be TSD)
; 2. Make an array of TSD objects from the files.
;
;    ex.) tsdarr = mk_tsdarr('gb_tsd*.fits')
;

  IF n_params() EQ 0 THEN BEGIN
    print, "ex.) tsdarr = mk_tsdarr('gb_tsd*.fits')"
    Return, 0
  ENDIF

  fname_array = FILE_SEARCH(filename_for_search, /FOLD_CASE)

  num_files = N_Elements(fname_array)
  print, 'Search for "'+filename_for_search+'"'
  print, Strcompress(String(num_files)) + ' files are found.'

  wait, 1.5

  FOR i = 0, num_files-1 DO BEGIN
    temp_tsd_obj = Obj_New('TSD')
    r = temp_tsd_obj->Read_TSD(fname_array[i])

    IF (i EQ 0) THEN BEGIN
      tsdarr = [temp_tsd_obj]
    ENDIF ELSE BEGIN
      tsdarr = [tsdarr, temp_tsd_obj]
    ENDELSE
  ENDFOR

  print, 'The following TSD array is created.'
  help, tsdarr
  Return, tsdarr

END
