;
; Copyright (c) 2002, ASTRO-F Data Reduction Team.  All rights reserved.
;
;+
; NAME:
;	mmt_inverse.pro
; PURPOSE:
;	Do MMT transform inversion
; CATEGORY:
;	Green Box procedure in library in ASTRO-F pipeline.
; CALLING SEQUENCE:
;
; INPUTS:
;       transformed_data       
;       scale           scale for MMT 
; OUTPUTS:
;	data            original data
;
; RESTRICTIONS:
;	
; PROCEDURE:
;	1. This function will be provided by the European team.
; EXAMPLE:
;
; REFERENCE:
;
; MODIFICATION HISTORY:
; 	Mar. 2004		Written by T.Takagi
;    
;-

pro mmt_inverse, transformed_data, data, scale=scale


if(n_elements(scale) eq 0) then scale=2L^[0,1,2,3,4,5,6,7] + 1
nscale = n_elements(scale)

s = size(transformed_data)

data = fltarr(s(1))
for i=0,n_elements(scale)-1 do begin
    data = temporary(data) + transformed_data[*,i]
endfor

;; this is slower than above
;data = total(transformed_data, 2)

end
