;
; Copyright (c) 2002, ASTRO-F Data Reduction Team.  All rights reserved.
;
;+
; NAME:
;	mmt_output_glitch_list 
; PURPOSE:
;       Output glitch list
; CATEGORY:
;	Green Box procedure in library in ASTRO-F pipeline.
; CALLING SEQUENCE:
;
; INPUTS:
;	lun      lun for output file
;       ch       chunnel number
;       subid    array storing data id 
;       gm       glitch_measures
;
; OUTPUTS:
;
; RESTRICTIONS:
;	
; PROCEDURE:
;
; EXAMPLE:
;
; REFERENCE:
;
; MODIFICATION HISTORY:
; 	May. 2005		Written by T.Takagi
;    
;-
PRO mmt_output_glitch_list, lun, ch, subid, gm

n_sig = n_elements(gm.isGlitch)

for i=0, n_sig-1 do begin 
    readout = subid[gm.id_start[i]]
    mid = gm.id_start[i]+gm.max_id[i]
    max_id = subid[mid]
    printf, lun, ch, readout, max_id,gm.isGlitch[i],gm.proj[i],gm.width1[i],$
      gm.w_ratio[i],gm.sn[i],gm.duration[i],gm.size[i],gm.sigma[i],$
      gm.integral[i],$
      gm.int1[i],gm.int2[i],gm.glitch_frac[i],$
      gm.max_diff[i],gm.fader[i],gm.dipper[i],$
      format='(i4,2i8,i3,2i4,2f8.3,2i5,4e10.2,2f8.4,2i3)'
endfor

RETURN
END
