;#> lu_chisq.dc3
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
; Function:  lu_chisq
;
; Purpose:   Chisq calculation
;
; Header:    function lu_chisq, sumy2, vec, sol
;		FLOAT	sumy2,		IN : sum over the datavalues squared
;		FLOAT	vec,		IN : solution vector BEFORE lu_backsub
;		float	sol,		IN : solution vector AFTER  lu_backsub
;
; Returns:   chisq of the solution
;
; Notes:     adapted from Numerical Recipes, via C
;	      see also lu_crout.c
;
; History:   DK	11/02/97
;----------------------------------------------------------------------------
;#<

function lu_chisq, sumy2, vec, sol

return, sumy2 - total( sol * vec )

end

